import { Locator } from "@playwright/test";
import { Atom } from "../../atom";
import { MenuAtom } from "../menu/menu.atom";
export declare class BasicSelectAtom extends Atom {
    toggleMenu(): Promise<void>;
    get input(): Locator;
    /**
     * Toggle select and select a new item from the options.
     */
    select(title: string | RegExp, first?: boolean): Promise<void>;
    getSelectedItem(): Locator;
    getSelectedItems(): Locator;
    elementHasClass(selector: string, className: string): Promise<boolean>;
    getItemsCount(): Promise<number>;
    getItemText(idx: number): Promise<string>;
    getMenu(): MenuAtom;
    getElementByClass(className: string): Locator;
    protected getElementByTagName(tagName: string): Locator;
    protected getElementByCss(selector: string): Locator;
    protected getElementsByCss(selector: string): Locator;
    private getMenuItem;
    private escapeRegExp;
}
